Bug 808148 - CVE-2012-1585 openstack-nova: Long server names grow nova-api log files significantly [epel-6]
CVE-2012-1585 openstack-nova: Long server names grow nova-api log files signi...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: openstack-nova (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1585
  Show dependency treegraph
 
Reported: 2012-03-29 13:21 EDT by Russell Bryant
Modified: 2012-05-04 11:58 EDT (History)
11 users (show)

See Also:
Fixed In Version: openstack-quantum-2012.1-2.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 11:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Bryant 2012-03-29 13:21:02 EDT
please see the bug #808146 for more details on this vulnerability
Comment 1 Fedora Update System 2012-03-29 14:57:18 EDT
openstack-nova-2011.3.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3.1-7.el6
Comment 2 Fedora Update System 2012-03-29 21:44:34 EDT
openstack-nova-2011.3.1-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-nova-2011.3.1-8.el6
Comment 3 Fedora Update System 2012-03-30 14:05:50 EDT
Package openstack-nova-2011.3.1-8.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-nova-2011.3.1-8.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0927/openstack-nova-2011.3.1-8.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-27 12:12:07 EDT
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-keystone-2012.1-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-2.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
Comment 5 Fedora Update System 2012-04-27 19:08:25 EDT
Package openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-keystone-2012.1-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-quantum-2012.1-2.el6 python-routes1.12-1.12.3-4.el6 python-paste-deploy1.5-1.5.0-5.el6 python-novaclient-2012.1-1.el6 python-django-horizon-2012.1-3.el6 openstack-swift-1.4.8-2.el6 openstack-keystone-2012.1-2.el6 openstack-glance-2012.1-5.el6 openstack-nova-2012.1-4.el6 openstack-utils-2012.1-1.el6 python-quantumclient-2012.1-2.el6 python-keystoneclient-2012.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-2.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-30 14:32:34 EDT
Package openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-quantum-2012.1-2.el6 python-routes1.12-1.12.3-4.el6 python-paste-deploy1.5-1.5.0-5.el6 python-novaclient-2012.1-1.el6 python-django-horizon-2012.1-3.el6 openstack-swift-1.4.8-2.el6 openstack-glance-2012.1-5.el6 openstack-nova-2012.1-4.el6 openstack-utils-2012.1-1.el6 python-quantumclient-2012.1-2.el6 python-keystoneclient-2012.1-2.el6 openstack-keystone-2012.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-3.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-04 11:58:36 EDT
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.